{% extends "customers/base.html" %}
{% load i18n %}
{% load staticfiles %}
{% load humanize %}



{% block pagelevelcss %}
<link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />
{% endblock %}



{% block title %}Pagos sin Identificación{% endblock %}

{% block page %}

{% if perms.customers.cleared_payment %}
<input id="canClear" type="hidden" value="yes">
{% else %}
<input id="canClear" type="hidden" value="no">
{% endif %}


<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
	<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
  <li class="breadcrumb-item active">Pagos sin Identificación</li>
</ol>
<!-- end breadcrumb -->

<!-- begin page-header -->
<h1 class="page-header">Lista <small>pagos sin Identificación</small></h1>
<!-- end page-header -->


<!-- begin row -->
<div class="row">
    <!-- begin col-12 -->
    <div class="col-xl-12 ui-sortable">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="ui-general-1">
        <!-- begin panel-heading -->
        <div class="panel-heading ui-sortable-handle">
          <h4 class="panel-title">Lista de Pagos</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body">
          <div class="row mb-3">
              <form class="form-inline">
                <div class="row mb-3 m-l-10">
                  <div class="form-group m-r-10">
                        <label for="id_kind_kind" class="control-label m-r-10">Tipo</label>
                        <select id="id_kind_kind" class="form-control">
                          <option value="">Todos</option>
                          {% for code, option in payment_options %}
                            <option value="{{ code }}">{{ option|capfirst }}</option>
                            {% endfor %}
                        </select>
                  </div>
                  <div class="form-group m-r-10">
                          <label for="id_kind" class="control-label m-r-10">Tipo</label>
                          <select id="id_kind" class="form-control">
                            <option value="">Todos</option>
                            <option value="1">Manual</option>
                            <option value="2">Automático</option>
                          </select>
                  </div>
                
                  <div class="form-group m-r-10">
                    <label for="id_kind_load" class="control-label m-r-10">Tipo de carga</label>
                    <select id="id_kind_load" class="form-control">
                      <option value="">Todos</option>
                      <option value="2">No encontrado</option>
                      <option value="3">Múltiples servicios</option>
                    </select>
            </div>

                  <div class="form-group m-r-10">
                          <label for="id_kind" class="control-label m-r-10">Ingreso</label>
                          <select id="id_kind" class="form-control">
                            <option value="">Todos</option>
                            <option value="1">Manual</option>
                            <option value="2">Automático</option>
                          </select>
                  </div>
                  <div class="form-group m-r-10">
                          <label for="id_agent" class="control-label m-r-10">Agente</label>
                          <select id="id_agent" class="form-control">
                            {% for agent in agents %}
                            <option value="{{ agent.pk }}">{{ agent.username }}</option>
                            {% endfor %}
                          </select>
                  </div>
                  <div class="form-group m-r-10">
                          <label for="id_operator" class="control-label m-r-10">O. Pago</label>
                          <select id="id_operator" class="form-control">
                            {%if if_todos %}
                          {%for b in operadores %}
                          <option value="{{b.id}}">{{b.name}}</option>
                          {%endfor%}
                          {% else%}
                          {%for b in operadores %}
                          <option value="{{current_operator}}">{{current_operator_name}}</option>
                          {%endfor%}
                          {%endif%}
                          </select>
                  </div>
                  <div class="form-group m-r-10">
                          <label for="id_bankaccount" class="control-label m-r-10">Cuenta</label>
                          <select id="id_bankaccount" class="form-control">
                              <option value="">Todas</option>
                          </select>
                  </div>
                  <div class="form-group m-r-10">
                          <label for="id_cleared" class="control-label m-r-10">Conciliado</label>
                          <select id="id_cleared" class="form-control">
                              <option value="">Todos</option>
                              <option value="True">Conciliado</option>
                              <option value="False">No Conciliado</option>
                          </select>
                  </div>
                  <div class="form-group m-r-10">
                            <label for="id_cleared" class="control-label m-r-10">Fecha</label>
                            <label for="id_start_date">Desde </label> <input type="date" name="start_date" class="datepicker" id="id_start_date">
                            <label for="id_end_date">Hasta </label> <input type="date" name="end_date" class="datepicker" id="id_end_date">
                  </div>
                </div>
              </form>
          </div>
  
  
              <table id="payment-list" cellspacing="0" class="table table-hover">
                  
                <thead>
                  <tr>
                    <th>Fecha de creación</th>
                    <th>ID</th>
                    <th>Fecha de pago</th>
                    <th>Monto</th>
                    <th>Manual</th>
                    <th>Tipo</th>
                    <th>Tipo de carga</th>
                    <th>Agente</th>
                    <th>O. Pago</th>
                    <th>Conciliado</th>
                  </tr>
                </thead>
                <tbody>
                </tbody>
              </table>
            </div>
            <!-- end panel-body -->
            </div>
            <!-- end panel -->
            </div>
            <!-- end col-12 -->
            </div>
            <!-- end row -->
            
            <!-- begin scroll to top btn -->
            <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
            <!-- end scroll to top btn -->
            {% endblock %}
  
  
  {% block pageleveljs %}
  <script type="text/javascript" defer>
      //active menu
      document.getElementById("finances_menu").classList.add("active");
      //active submenu item
      document.getElementById("payments_item_without").classList.add("active");
  </script>
  
  <script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}" defer></script>
  <script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}" defer></script>
  <script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}" defer></script>
  <script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}" defer></script>
  <script src="{% static 'assets/plugins/select2/dist/js/select2.min.js' %}"></script>
  <script type="text/javascript" src="{% static 'theme/build/js/pages/payment-list-customer.js' %}"></script>
  
      <script>
        
        function changeOperatorAjax(operator, service){
    }
  
        $('#id_agent').select2({
    placeholder: 'Selecciona un agente',
    allowClear: true
  });
  $('#id_agent').val('').trigger('change')
  
  
  $('#id_kind_kind').select2({
    placeholder: 'Selecciona un tipo',
    allowClear: true
  });
  $('#id_kind_kind').val('').trigger('change')
  
  $('#id_kind_load').select2({
    placeholder: 'Selecciona un tipo',
    allowClear: true
  });
  $('#id_kind_load').val('').trigger('change')

  $('#id_operator').select2({
    placeholder: 'Selecciona un operador',
    allowClear: true
  });
  $('#id_operator').val('').trigger('change')
  
  
  $('#id_bankaccount').select2({
    placeholder: 'Selecciona una cuenta',
    allowClear: true
  });
  $('#id_bankaccount').val('').trigger('change')
  
        function get_data(){
          operator_id = document.getElementById("id_operator").value;
          $('#id_bankaccount').val(null).trigger('change');
          $('#id_bankaccount').empty();
          if(operator_id.length != 0){
            $.get('/bankaccount_ajax/', {operator: operator_id}, function(json_response) {;
  
            var obj = json_response.bankaccounts;
            
            Object.keys(obj).forEach(function(k){
              var data = {
                id : obj[k].id,
                text : obj[k].tag
              }
              var newOption = new Option(data.text, data.id, false, false);
              $('#id_bankaccount').append(newOption).trigger('change');
              $('#id_bankaccount').val(null).trigger('change');
            });
  
  
            });
          }
          
        }
  
        $('#id_operator').change(function(){
          get_data();
        });
        
        $('#id_kind_load').change(function(){
          get_data();
        });

        var today = new Date();
        var dd = today.getDate();
        var mm = today.getMonth()+1; //January is 0!
        var yyyy = today.getFullYear();
        if(dd<10){
                dd='0'+dd
            } 
            if(mm<10){
                mm='0'+mm
            } 

        today = yyyy+'-'+mm+'-'+dd;
        document.getElementById("id_start_date").setAttribute("max", today);
        document.getElementById("id_end_date").setAttribute("max", today);


        function clearPayment(el){
          var payment_id = el.getAttribute('payment_id');
          var checked = el.checked;
          if (el.checked == false){
            if (confirm("Estás a punto de desconciliar un pago!")) {
              $.get('/clear_payment_ajax/', {payment: payment_id, cleared: checked}, function(json_response) {
                if(json_response.data == el.checked){
                var para = document.createElement("p");
                var node = document.createTextNode("Pago Desconciliado!");
                para.appendChild(node);
                para.setAttribute("class", "text-danger");
                el.parentElement.appendChild(para);
                setTimeout(function(){
                  el.parentElement.removeChild(para);
                }, 3000);
              }
              });
            } else {
              el.checked = true;
            } 
          } else {
            $.get('/clear_payment_ajax/', {payment: payment_id, cleared: checked}, function(json_response) {
              
              if(json_response.data == el.checked){
                var para = document.createElement("p");
                var node = document.createTextNode("Pago Conciliado!");
                para.appendChild(node);
                para.setAttribute("class", "text-success");
                el.parentElement.appendChild(para);
                setTimeout(function(){
                  el.parentElement.removeChild(para);
                }, 3000);
              }
            });
          }
        }
      </script>
  {% endblock %}
  
  
  
  